Bug 678122 - (la)tex completion should include dbj and DBJ extensions
Summary: (la)tex completion should include dbj and DBJ extensions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-16 20:11 UTC by Ted Pavlic
Modified: 2011-05-28 21:35 UTC (History)
2 users (show)

Fixed In Version: bash-completion-1.3-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-20 03:19:47 UTC


Attachments (Terms of Use)

Description Ted Pavlic 2011-02-16 20:11:51 UTC
Description of problem:

/etc/bash_completion is not configured to include DBJ files for latex and tex. DBJ files are created (for example) by 'latex makebst'. In this example, 'latex makebst' produces a DBJ, and 'latex THAT_FILE.dbj' will operate on the generated DBJ to produce a BST. So DBJ files should be included in the completion list.

Version-Release number of selected component (if applicable): 

1.2-5.fc14


How reproducible:

always


Steps to Reproduce:
1. Enter a directory with a DBJ file (e.g., produced by 'latex makebst')
2. Type 'latex <tab><tab>' to see files available for automatic completion
  
Actual results:

The DBJ file does not show up in the list

Expected results:

The DBJ file should show up in the list

Additional info:

The fix for this is easy. Add

dbj|DBJ

to the 'complete' line in /etc/bash_completion

Comment 1 Fedora Update System 2011-04-15 21:02:48 UTC
bash-completion-1.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc15

Comment 2 Fedora Update System 2011-04-15 21:09:40 UTC
bash-completion-1.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc14

Comment 3 Fedora Update System 2011-04-15 21:17:02 UTC
bash-completion-1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.el6

Comment 4 Fedora Update System 2011-04-15 21:22:52 UTC
bash-completion-1.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.el5

Comment 5 Fedora Update System 2011-04-16 00:12:34 UTC
Package bash-completion-1.3-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-completion-1.3-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-20 03:19:32 UTC
bash-completion-1.3-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-04-23 20:48:27 UTC
bash-completion-1.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-05-10 21:41:16 UTC
bash-completion-1.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-4.el6

Comment 9 Fedora Update System 2011-05-10 21:42:59 UTC
bash-completion-1.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.3-4.el5

Comment 10 Fedora Update System 2011-05-28 21:33:57 UTC
bash-completion-1.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-28 21:35:21 UTC
bash-completion-1.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.